NamedListInitializedPlugin (Solr 3.6.2 API)
Keywords: org.apache.solr.util.plugin.NamedListInitializedPlugin interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.util.plugin
Interface NamedListInitializedPlugin

All Known Subinterfaces:
  BinaryQueryResponseWriter, BinaryQueryResponseWriter, QueryResponseWriter, QueryResponseWriter, SolrEncoder, SolrEventListener, SolrFormatter, SolrFragListBuilder, SolrFragmenter

All Known Implementing Classes:
  BinaryResponseWriter, BinaryResponseWriter, BoostQParserPlugin, BreakIteratorBoundaryScanner, ClusteringComponent, CSVResponseWriter, DebugComponent, DefaultEncoder, DirectoryFactory, DisMaxQParserPlugin, ExtendedDismaxQParserPlugin, FacetComponent, FieldQParserPlugin, FunctionQParserPlugin, FunctionRangeQParserPlugin, GapFragmenter, GenericBinaryResponseWriter, GenericTextResponseWriter, HighlightComponent, HtmlEncoder, HtmlFormatter, IndexReaderFactory, JSONResponseWriter, JSONResponseWriter, LangDetectLanguageIdentifierUpdateProcessorFactory, LogUpdateProcessorFactory, LuceneQParserPlugin, MMapDirectoryFactory, MoreLikeThisComponent, NestedQParserPlugin, NIOFSDirectoryFactory, OldLuceneQParserPlugin, PHPResponseWriter, PHPResponseWriter, PHPSerializedResponseWriter, PHPSerializedResponseWriter, PrefixQParserPlugin, PythonResponseWriter, PythonResponseWriter, QParserPlugin, QueryComponent, QueryConverter, QueryElevationComponent, RAMDirectoryFactory, RawQParserPlugin, RawResponseWriter, RawResponseWriter, RegexFragmenter, RubyResponseWriter, RubyResponseWriter, RunUpdateProcessorFactory, ScoreOrderFragmentsBuilder, SearchComponent, SignatureUpdateProcessorFactory, SimpleBoundaryScanner, SimpleFragListBuilder, SimpleFragmentsBuilder, SimpleFSDirectoryFactory, SingleFragListBuilder, SolrBoundaryScanner, SolrCore.LazyQueryResponseWriterWrapper, SolrDeletionPolicy, SolrFragmentsBuilder, SpatialBoxQParserPlugin, SpatialFilterQParserPlugin, SpellCheckComponent, SpellingQueryConverter, StandardDirectoryFactory, StandardIndexReaderFactory, StatsComponent, SuggestQueryConverter, TermQParserPlugin, TermsComponent, TermVectorComponent, TikaLanguageIdentifierUpdateProcessorFactory, UIMAUpdateRequestProcessorFactory, UniqFieldsUpdateProcessorFactory, UpdateRequestProcessorFactory, URLClassifyProcessorFactory, ValueSourceParser, XMLResponseWriter, XMLResponseWriter, XSLTResponseWriter, XSLTResponseWriter

    public interface NamedListInitializedPlugin

A plugin that can be initialized with a NamedList

Since:
  solr 1.3
Version:
  $Id: NamedListInitializedPlugin.java 555343 2007-07-11 17:46:25Z hossman $

Method Summary
`void` | `init(NamedList args)`

Method Detail

### init

    void init(NamedList args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD